//--------------------------------------------------------------
// File     : stm32_ub_max5250.h
//--------------------------------------------------------------

//--------------------------------------------------------------
#ifndef __STM32F4_UB_MAX5250_H
#define __STM32F4_UB_MAX5250_H

//--------------------------------------------------------------
// Includes
//--------------------------------------------------------------
#include "stm32f4xx.h"


//--------------------------------------------------------------
// DAC-Kanal
//--------------------------------------------------------------
typedef enum {
  DAC_0 = 0,  // DAC-Kanal-0
  DAC_1,      // DAC-Kanal-1
  DAC_2,      // DAC-Kanal-2
  DAC_3       // DAC-Kanal-3
}MAX5250_DAC_t;



//--------------------------------------------------------------
// ChipSelect-Pin vom MAX5250
//--------------------------------------------------------------
#define MAX5250_CS_PIN         GPIO_Pin_12
#define MAX5250_CS_GPIO_PORT   GPIOB
#define MAX5250_CS_GPIO_CLK    RCC_AHB1Periph_GPIOB
  

//--------------------------------------------------------------
// Globale Funktionen
//--------------------------------------------------------------
ErrorStatus UB_MAX5250_Init(void);
void UB_MAX5250_SetDAC(MAX5250_DAC_t kanal, uint16_t wert);




//--------------------------------------------------------------
#endif // __STM32F4_UB_MAX5250_H
